Subject: bug#30800: 26.0.91; unknown crash on macos

From: Aaron Jensen <[email-masked]>
Date: Wed, 21 Mar 2018 22:35:23 -0700

On Wed, Mar 21, 2018 at 12:36 PM, Eli Zaretskii <[email-masked]> wrote:
>> or just add
>>
>>     if (represented_frame == f)
>>       represented_frame = NULL;
>>
>> to x_destroy_frame as you say.
>
> If that fixes the problem, it's the safest change I can think of, so
> perhaps Aaron could try running Emacs 26.0.91 with it.

It seems to fix it. I'm unable to reproduce the crash with this patch
applied. I tried to represent what was going on in my comments/commit
messages but I'm happy to change them if anyone has a better way to
describe it. That is if you want to apply this instead of fixing it in
another way.

Thanks.